Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire.version13

# Class V13ParameterConverter

java.lang.Object
org.firebirdsql.gds.ng.AbstractParameterConverter<WireDatabaseConnection,WireServiceConnection>
org.firebirdsql.gds.ng.wire.version10.V10ParameterConverter
org.firebirdsql.gds.ng.wire.version11.V11ParameterConverter
org.firebirdsql.gds.ng.wire.version12.V12ParameterConverter
org.firebirdsql.gds.ng.wire.version13.V13ParameterConverter

All Implemented Interfaces:
  `ParameterConverter<WireDatabaseConnection,WireServiceConnection>`

public class V13ParameterConverter extends V12ParameterConverter
Implementation of `ParameterConverter` for the version 13 protocol.

Adds support for the new authentication model of the V13 protocol.

Since:
  3.0
Author:
  Mark Rotteveel

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `V13ParameterConverter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected DatabaseParameterBuffer`
  `createDatabaseParameterBuffer(WireDatabaseConnection connection)`
  `protected ServiceParameterBuffer`
  `createServiceParameterBuffer(WireServiceConnection connection)`
  `protected void`
  `populateAuthenticationProperties(AbstractConnection<?,?> connection, ConnectionParameterBuffer pb)`
  Populates the authentication properties of the parameter buffer.
  `protected void`
  `populateDefaultProperties(WireDatabaseConnection connection, DatabaseParameterBuffer dpb)`
  Populates the database parameter buffer with the standard Firebird properties explicitly supported through `IConnectionProperties`.
  `protected void`
  `populateDefaultProperties(WireServiceConnection connection, ServiceParameterBuffer spb)`
  Populates the database parameter buffer with the standard Firebird properties explicitly supported through `IConnectionProperties`.

  ### Methods inherited from class org.firebirdsql.gds.ng.wire.version11.V11ParameterConverter

  `addProcessId, addProcessName`

  ### Methods inherited from class org.firebirdsql.gds.ng.AbstractParameterConverter

  `toDatabaseParameterBuffer, toServiceParameterBuffer`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### V13ParameterConverter

    public V13ParameterConverter()

- ## Method Details

  - ### createDatabaseParameterBuffer

    protected DatabaseParameterBuffer createDatabaseParameterBuffer(WireDatabaseConnection connection)
    Overrides:
      `createDatabaseParameterBuffer` in class `V12ParameterConverter`

  - ### createServiceParameterBuffer

    protected ServiceParameterBuffer createServiceParameterBuffer(WireServiceConnection connection)
    Overrides:
      `createServiceParameterBuffer` in class `V12ParameterConverter`

  - ### populateDefaultProperties

    protected void populateDefaultProperties(WireDatabaseConnection connection, DatabaseParameterBuffer dpb) throws SQLException
    Description copied from class: `AbstractParameterConverter`
    Populates the database parameter buffer with the standard Firebird properties explicitly supported through `IConnectionProperties`.
    Overrides:
      `populateDefaultProperties` in class `V11ParameterConverter`
    Parameters:
      `connection` - Database connection
      `dpb` - Database parameter buffer to populate
    Throws:
      `SQLException` - For errors generating authentication information

  - ### populateAuthenticationProperties

    protected void populateAuthenticationProperties(AbstractConnection<?,?> connection, ConnectionParameterBuffer pb) throws SQLException
    Description copied from class: `AbstractParameterConverter`
    Populates the authentication properties of the parameter buffer.
    Overrides:
      `populateAuthenticationProperties` in class `V10ParameterConverter`
    Parameters:
      `connection` - Database connection
      `pb` - Parameter buffer to populate
    Throws:
      `SQLException` - For errors generating authentication information

  - ### populateDefaultProperties

    protected void populateDefaultProperties(WireServiceConnection connection, ServiceParameterBuffer spb) throws SQLException
    Description copied from class: `AbstractParameterConverter`
    Populates the database parameter buffer with the standard Firebird properties explicitly supported through `IConnectionProperties`.
    Overrides:
      `populateDefaultProperties` in class `AbstractParameterConverter<WireDatabaseConnection,WireServiceConnection>`
    Parameters:
      `connection` - Service connection
      `spb` - Service parameter buffer to populate
    Throws:
      `SQLException` - For errors generating authentication information